> ## Documentation Index
> Fetch the complete documentation index at: https://docs.p2p.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get P2P.ORG Fee

> Returns the P2P.ORG fee for a specific chain + protocol pair in basis points. 10000 = 0% P2P.ORG fee, 9000 = 10%, 8500 = 15%



## OpenAPI

````yaml openapi/defi-api.json GET /api/defi/v1/fees/{chain}/{protocol}
openapi: 3.0.3
info:
  title: DeFi API
  version: 1.0.0
servers:
  - url: https://edge.p2p.org
security:
  - ClientHash: []
  - ApiKey: []
tags:
  - name: Earning
  - name: Positions
  - name: Rewards
  - name: Transactions
  - name: Wallets
paths:
  /api/defi/v1/fees/{chain}/{protocol}:
    get:
      tags:
        - Earning
      summary: Get P2P.ORG Fee
      description: >-
        Returns the P2P.ORG fee for a specific chain + protocol pair in basis
        points. 10000 = 0% P2P.ORG fee, 9000 = 10%, 8500 = 15%
      operationId: get_fees
      parameters:
        - name: chain
          in: path
          required: true
          schema:
            type: string
            enum:
              - base
              - ethereum
        - name: protocol
          in: path
          required: true
          schema:
            type: string
            enum:
              - morpho
              - veda
              - lombard
              - resolv
              - etherfi-veda
      responses:
        '200':
          description: Fee in basis points.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      fee:
                        type: integer
                        description: P2P.ORG fee in basis points (10000 = no fee).
                  error:
                    nullable: true
                    default: null
                  meta:
                    $ref: '#/components/schemas/ResponseMeta'
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: GetFeeFailedException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ResponseMeta:
      type: object
      properties:
        time:
          type: integer
        requestId:
          type: string
          format: uuid
    ErrorResponse:
      type: object
      properties:
        result:
          nullable: true
          default: null
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
            validationErrors:
              type: array
              items:
                type: object
        meta:
          $ref: '#/components/schemas/ResponseMeta'
  securitySchemes:
    ClientHash:
      type: apiKey
      in: header
      name: X-Client-Hash
    ApiKey:
      type: apiKey
      in: header
      name: apikey

````

## Related topics

- [P2P.ORG Documentation Hub](/index.md)
- [Aggregated Docs for LLMs](/docs/llms.md)
- [Using MCP to Read API Docs](/docs/mcp.md)
- [Deposit](/docs/morpho-staking.md)
- [Direct and SSV staking v3.1 (Unlimited)](/docs/unlimited-unified-api.md)
